- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
_DMXConfigString Struct Reference

`#include <dmxparse.h>`

## Data Fields
int | token
int | line
const char * | comment
const char * | string
struct _DMXConfigString * | next

## Detailed Description

Stores parsed strings.

## Field Documentation

const char* _DMXConfigString::comment

Referenced by dmxConfigCreateString(), dmxConfigFreeString(), and dmxConfigPrintString().

int _DMXConfigString::line

Referenced by dmxConfigCreateString().

struct _DMXConfigString* _DMXConfigString::next

Referenced by dmxConfigCopyFromOption(), dmxConfigCopyFromWall(), dmxConfigCreateOption(), dmxConfigCreateParam(), dmxConfigFreeString(), and dmxConfigPrintString().

const char* _DMXConfigString::string

Referenced by dmxConfigCopyFromOption(), dmxConfigCopyFromWall(), dmxConfigCreateDisplay(), dmxConfigCreateOption(), dmxConfigCreateParam(), dmxConfigCreateString(), dmxConfigCreateVirtual(), dmxConfigFreeString(), dmxConfigPrintDisplay(), dmxConfigPrintOption(), dmxConfigPrintString(), and dmxConfigPrintVirtual().

int _DMXConfigString::token

Referenced by dmxConfigCreateString().

The documentation for this struct was generated from the following file:

- dmxparse.h